close all
clear all
load EFD_GSK30.dat
load MLAT_EFD30.dat
load ALT_EFD30.dat
load sg_EFD30.dat
load efield.45

nc=121;
nstep=145;
UT=[0:0.5:72];
UT=UT';

sg=sg_EFD30;       %  in Re
EFD=EFD_GSK30;     %  
MLAT=MLAT_EFD30;
ALT=ALT_EFD30;
Re=6371.2e3;

EFD15=efield;


% electric field
efield=reshape(EFD(:,1),nc,nstep);
efield=efield';
poten(1:nstep,1:nc)=0.0;
% electric potential  in V/Re
for j=1:nstep;
    for i=2:nc;
        poten(j,i)=poten(j,i-1)-0.5*(efield(j,i)+efield(j,i-1))*(sg(i)-sg(i-1));
    end
end

%efield=efield.*1e+7;

E15=EFD15(:,3);
poten15(1:nc)=0.0;
for i=2:nc;
    poten15(i)=poten15(i-1)-0.5*(E15(i)+E15(i-1))*(sg(i)-sg(i-1));
end

% the sum of gravity and electric force for O+
Force_O=reshape(EFD(:,3),nc,nstep);
Force_O=Force_O';
Force_O=Force_O.*1e7;
% the sum of gravity and electric force for H+
Force_H=reshape(EFD(:,4),nc,nstep);
Force_H=Force_H';
Force_H=Force_H.*1e6;

% the sum of gravity and electric force for He+
Force_He=reshape(EFD(:,5),nc,nstep);
Force_He=Force_He';
Force_He=Force_He.*1e7;

y=poten;
plot(MLAT,poten15,'-r','LineWidth',2)  % red solid line
hold on
plot(MLAT,y(2,:),'-.b','LineWidth',2)  % blue dash-dot line
hold on
plot(MLAT,y(3,:),'--g','LineWidth',2)  % green dashed line
hold on
plot(MLAT,y(4,:),'.m','MarkerSize',10)  % magenta dotted line
hold on
plot(MLAT,y(5,:),'-k','LineWidth',2)
hold on
legend('0.25 hrs','0.5 hrs','1 hrs','1.5 hrs','2 hrs')
set(gca,'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025]);
ylabel('Epotential (V/Re)','fontsize',20)
xlabel('MLAT (degree)','fontsize',20)
set(gca,'XMinorTick','on','Xlim',[-60,60],'XTick',[-60:20:60]);
set(gca,'YMinorTick','on');
%text(-56,6,'(b)','FontSize',18)



Re=6371.2e3;  

G=6.674e-11;  
M=5.972e24;
m=1.67e-27*16.0;
q=1.6e-19;

x1=-G*M*m/(4.0*Re);    % gravity potential at equator
x2=-G*M*m/(Re+800.0e3);  %gravity potential at bottom

(x1-x2-q*5.773e-7*Re)*2.0/m   % energy change 

25.0e6*0.5*m/(q*Re)