!    This program is to plot the time variation of the bulk parameters along the flux tube in FLIP
!    5/9/2014 by Yan Wang
program main
     implicit none
     integer,parameter:: JMAX=399,nstep=15,dt=90
     integer:: j,i,k,nst,LNBLNK,JTI,num
     real(8),dimension(JMAX):: Z,GL,Te,TO,TH,NO,NH,NHE,XIONN,Ne
     real(8),dimension(JMAX):: UO,UH,UHE,XIONV
     real(8):: Re
     character suff*6
     CHARACTER*256 :: WORKDIR
     data Re/6371.2/ !Re in km

! Get WORKDIR of current working directory
     CALL GETCWD(WORKDIR)
     open(201,file='Den_FLIP40.dat',status='unknown')
     open(203,file='Tem_FLIP40.dat',status='unknown')
     open(204,file='Vel_FLIP40.dat',status='unknown')
     open(205,file='ALT_FLIP40.dat',status='unknown')
     open(206,file='MLAT_FLIP40.dat',status='unknown')

     OPEN(25,file=WORKDIR(:LNBLNK(WORKDIR))//'/PLOT/FLIP25.1',&
                  STATUS='OLD',FORM='FORMATTED')
!    FORMAT('#','NO',7x,'alt',12x,'mlat',13x,'Te',13x,'TO+',12x,'TH+',
!     >         12x,'NO+',12x,'NH+',11X,'NHE+',12x,'NN+',13x,'Ne',12x,
!     >         'VO+',12x,'VH+',11x,'VHE+',12x,'VN+')
     Read(25,'(A)')
     Read(25,'(A)')
     DO J=1,JMAX
           read(25,861) i,Z(J),GL(J),Te(J),TO(J),TH(J),NO(J),NH(J),NHe(J),&
                            XIONN(J),Ne(J),UO(J),UH(J),UHE(J),XIONV(J)
     ENDDO
     CLOSE(25)
 861  FORMAT(I4,1p,14E15.6)


      do J=1,JMAX
           write(205,'(e15.6)')  Z(J)
           write(206,'(e15.6)')  GL(J)
           write(201,'(4e15.6)') NO(J),NH(J),NHe(J),Ne(J)
           write(203,'(3e15.6)') TO(J),TH(J),Te(J)
           write(204,'(3e15.6)') UO(J),UH(J),UHe(J)
      enddo
      close(205)
      close(206)

     do k=1,nstep
          nst=k*dt
          write(suff,'(i6)') nst
          suff=adjustl(suff)
          OPEN(25,file=WORKDIR(:LNBLNK(WORKDIR))//'/PLOT/FLIP25.'//suff(:LNBLNK(suff)),&
                    STATUS='OLD',FORM='FORMATTED')

          Read(25,'(A)')
          Read(25,'(A)')

          DO J=1,JMAX
              read(25,861) i,Z(J),GL(J),Te(J),TO(J),TH(J),NO(J),NH(J),NHe(J),&
                                   XIONN(J),Ne(J),UO(J),UH(J),UHE(J),XIONV(J)
          ENDDO
          CLOSE(25)

          do J=1,JMAX
               write(201,'(4e15.6)') NO(J),NH(J),NHe(J),Ne(J)
               write(203,'(3e15.6)') TO(J),TH(J),Te(J)
               write(204,'(3e15.6)') UO(J),UH(J),UHe(J)
          enddo

    enddo

      close(201)
      close(203)
      close(204)

 !  in file 'GRIDFLIP.dat' the data is in format
 !        J, Z(J), (SL(J)*1.0E-5), DELZ ,DELS,
 !    >   (ACOS(COSDIP(J))*57.3),COSDIP(J),BM(J),TOTVOL,GR(2,J),
 !    >   (R(2,J)*1.0E-5),DIV_VEM(J),GL(J)*57.296,GLATD,GLOND


end program
