%%%%%%%%figure 1 without wave heating%%%%%%%%%%
clear all
load HVPA1260.dat
load cvol_vdistr1260.dat
load MLAT_vdistr1260.dat

MLAT=MLAT_vdistr1260(:,3);

D=HVPA1260;
c_vol=cvol_vdistr1260(:,2);

nij=180;
nc=281;

sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

pa(1:nij)=D(101:100+nij);
D2=D(101+nij:end);
f=reshape(D2,nij,100);
[X,Y]=meshgrid(MLAT,pa);

for i=1:nij;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
        
    end
end

fl=log10(f_vol);
subplot(2,2,1)
surface(X,Y,fl,'EdgeColor','none')
caxis([1,9])
%caxis([5,14])    % not divided by volume
%xlabel('MLAT (degree)','fontsize',20)
ylabel('H^+ Pitch angle (degree)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-70,70],'XTick',[-60:20:60])
set(gca,'XTickLabel',[])
set(gca,'Ylim',[0,180],'YTick',[0:30:180])
colorbar('LineWidth',3,'Fontsize',16)
text(-62,190,'P_0=0','FontSize',18)
box on
hold on

%%%%%%%%figure 2 without wave heating%%%%%%%%%%
clear all
load HVPA1260_wave6.dat
load cvol_vdistr1260.dat
load MLAT_vdistr1260.dat

MLAT=MLAT_vdistr1260(:,3);


D=HVPA1260_wave6;
c_vol=cvol_vdistr1260(:,2);


nij=180;
nc=281;

sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

pa(1:nij)=D(101:100+nij);
D2=D(101+nij:end);
f=reshape(D2,nij,100);
[X,Y]=meshgrid(MLAT,pa);

for i=1:nij;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
       
    end
end

fl=log10(f_vol);
subplot(2,2,2)
surface(X,Y,fl,'EdgeColor','none')
caxis([1,9])

%xlabel('MLAT (degree)','fontsize',20)
%ylabel('H^+ Pitch angle (degree)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-70,70],'XTick',[-60:20:60])
set(gca,'Ylim',[0,180],'YTick',[0:30:180])
set(gca,'XTickLabel',[],'YTickLabel',[])
colorbar('LineWidth',3,'Fontsize',16)
text(-62,190,'P_0=10^{-11}','FontSize',18)
box on
hold on
%%%%%%%%figure 3 with wave heating Ph=1e-10 %%%%%%%%%%
clear all
load HVPA1260_wave3.dat
load cvol_vdistr1260.dat
load MLAT_vdistr1260.dat

MLAT=MLAT_vdistr1260(:,3);

D=HVPA1260_wave3;
c_vol=cvol_vdistr1260(:,2);

nij=180;
nc=281;

sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

pa(1:nij)=D(101:100+nij);
D2=D(101+nij:end);
f=reshape(D2,nij,100);
[X,Y]=meshgrid(MLAT,pa);

for i=1:nij;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
       
    end
end

fl=log10(f_vol);
subplot(2,2,3)
surface(X,Y,fl,'EdgeColor','none')
caxis([1,9])

xlabel('MLAT (degree)','fontsize',20)
ylabel('H^+ Pitch angle (degree)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-70,70],'XTick',[-60:20:60])
set(gca,'Ylim',[0,180],'YTick',[0:30:180])
colorbar('LineWidth',3,'Fontsize',16)
text(-62,190,'P_0=10^{-10}','FontSize',18)

box on
hold on

%%%%%%%%figure 4 with wave heating Ph=1e-10 %%%%%%%%%%
clear all
load HVPA1260_wave5.dat
load cvol_vdistr1260.dat
load MLAT_vdistr1260.dat

MLAT=MLAT_vdistr1260(:,3);

D=HVPA1260_wave5;
c_vol=cvol_vdistr1260(:,2);

nij=180;
nc=281;

sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

pa(1:nij)=D(101:100+nij);
D2=D(101+nij:end);
f=reshape(D2,nij,100);
[X,Y]=meshgrid(MLAT,pa);

for i=1:nij;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
      
    end
end

fl=log10(f_vol);
subplot(2,2,4)
surface(X,Y,fl,'EdgeColor','none')
caxis([1,9])

xlabel('MLAT (degree)','fontsize',20)
%ylabel('H^+ Pitch angle (degree)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-70,70],'XTick',[-60:20:60])
set(gca,'Ylim',[0,180],'YTick',[0:30:180])
set(gca,'YTickLabel',[])
colorbar('LineWidth',3,'Fontsize',16)
text(-62,190,'P_0=10^{-9}','FontSize',18)

box on
hold on