% figure 1
clear all
load HeVSS1080.dat
load cvol_vdistr1080.dat

D=HeVSS1080;
c_vol=cvol_vdistr1080(:,2);
MLAT(1:51)=cvol_vdistr1080(1:51,3);

nhess=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:nhess)=D(101:100+nhess);
D2=D(101+nhess:end);
f=reshape(D2,nhess,100);
[X,Y]=meshgrid(sg,vs);

for i=1:nhess;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(2,2,1)
surface(X,Y,fl,'EdgeColor','none')
caxis([0,8])
%xlabel('s (R_E)','fontsize',20)
ylabel('V_{He^+//} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-60,60],'YTick',[-60:20:60],'XTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',18)
text(-11,72,'L=7.41','FontSize',18)
box on
hold on

%fiuge 2
clear all
load HeVSS1260.dat
load cvol_vdistr1260.dat

D=HeVSS1260;
c_vol=cvol_vdistr1260(:,2);
MLAT(1:51)=cvol_vdistr1260(1:51,3);

nhess=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:nhess)=D(101:100+nhess);
D2=D(101+nhess:end);
f=reshape(D2,nhess,100);
[X,Y]=meshgrid(sg,vs);

for i=1:nhess;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(2,2,2)
surface(X,Y,fl,'EdgeColor','none')
caxis([0,8])
%xlabel('s (R_E)','fontsize',20)
%ylabel('V_{He^+//} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-60,60],'YTick',[-60:20:60],'XTickLabel',[],'YTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',18)
text(-11,72,'L=8.73','FontSize',18)
box on
hold on


% figure 3
clear all
load HeVPS1080.dat
load cvol_vdistr1080.dat

D=HeVPS1080;
c_vol=cvol_vdistr1080(:,2);
MLAT(1:51)=cvol_vdistr1080(1:51,3);

nhesp=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vp(1:nhesp)=D(101:100+nhesp);
D2=D(101+nhesp:end);
f=reshape(D2,nhesp,100);
[X,Y]=meshgrid(sg,vp);

for i=1:nhesp;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(2,2,3)
surface(X,Y,fl,'EdgeColor','none')
caxis([0,8])
xlabel('s (R_E)','fontsize',20)
ylabel('V_{He^+\perp} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[0,80],'YTick',[0:20:80])
%colorbar('LineWidth',3,'Fontsize',18)
text(-11,88,'L=7.41','FontSize',18)
text(-13.2,-13.4,'North','FontSize',18)
text(10.8,-13.4,'South','FontSize',18)
box on
hold on

%figure 4
clear all
load HeVPS1260.dat
load cvol_vdistr1260.dat

D=HeVPS1260;
c_vol=cvol_vdistr1260(:,2);
MLAT(1:51)=cvol_vdistr1260(1:51,3);

nhesp=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vp(1:nhesp)=D(101:100+nhesp);
D2=D(101+nhesp:end);
f=reshape(D2,nhesp,100);
[X,Y]=meshgrid(sg,vp);

for i=1:nhesp;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(2,2,4)
surface(X,Y,fl,'EdgeColor','none')
caxis([0,8])
xlabel('s (R_E)','fontsize',20)
%ylabel('V_{He^+\perp} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[0,80],'YTick',[0:20:80],'YTickLabel',[])
colorbar('LineWidth',3,'Fontsize',18)
text(-11,88,'L=8.73','FontSize',18)
text(-13.2,-13.4,'North','FontSize',18)
text(10.8,-13.4,'South','FontSize',18)
box on
hold on
