% figure 1
load HVSS1080.dat
load cvol_vdistr1080.dat

D=HVSS1080;
c_vol=cvol_vdistr1080(:,2);
MLAT(1:51)=cvol_vdistr1080(1:51,3);

nhss=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:nhss)=D(101:100+nhss);
D2=D(101+nhss:end);
f=reshape(D2,nhss,100);
[X,Y]=meshgrid(sg,vs);

for i=1:nhss;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(2,2,1)
surface(X,Y,fl,'EdgeColor','none')
caxis([3,9])
%xlabel('s (R_E)','fontsize',20)
ylabel('V_{H^+//} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-60,60],'YTick',[-60:30:60],'XTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',18)
text(-11,72,'L=7.41','FontSize',16)
box on
hold on

%fiuge 2
clear all
load HVSS1260.dat
load cvol_vdistr1260.dat

D=HVSS1260;
c_vol=cvol_vdistr1260(:,2);
MLAT(1:51)=cvol_vdistr1260(1:51,3);

nhss=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:nhss)=D(101:100+nhss);
D2=D(101+nhss:end);
f=reshape(D2,nhss,100);
[X,Y]=meshgrid(sg,vs);

for i=1:nhss;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(2,2,2)
surface(X,Y,fl,'EdgeColor','none')
caxis([3,9])
%xlabel('s (R_E)','fontsize',20)
%ylabel('V_{H^+//} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-60,60],'YTick',[-60:30:60],'XTickLabel',[],'YTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',18)
text(-11,72,'L=8.73','FontSize',16)
box on
hold on


% figure 3
clear all
load HVPS1080.dat
load cvol_vdistr1080.dat

D=HVPS1080;
c_vol=cvol_vdistr1080(:,2);
MLAT(1:51)=cvol_vdistr1080(1:51,3);

nhsp=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vp(1:nhsp)=D(101:100+nhsp);
D2=D(101+nhsp:end);
f=reshape(D2,nhsp,100);
[X,Y]=meshgrid(sg,vp);

for i=1:nhsp;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(2,2,3)
surface(X,Y,fl,'EdgeColor','none')
caxis([3,9])
xlabel('s (R_E)','fontsize',20)
ylabel('V_{H^+\perp} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[0,150],'YTick',[0:50:150])
%colorbar('LineWidth',3,'Fontsize',18)
text(-11,165,'L=7.41','FontSize',16)
text(-13.2,-25,'North','FontSize',18)
text(10.8,-25,'South','FontSize',18)
box on
hold on


%figure 4
clear all
load HVPS1260.dat
load cvol_vdistr1260.dat

D=HVPS1260;
c_vol=cvol_vdistr1260(:,2);
MLAT(1:51)=cvol_vdistr1260(1:51,3);

nhsp=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vp(1:nhsp)=D(101:100+nhsp);
D2=D(101+nhsp:end);
f=reshape(D2,nhsp,100);
[X,Y]=meshgrid(sg,vp);

for i=1:nhsp;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);        
    end
end

fl=log10(f_vol);
subplot(2,2,4)
surface(X,Y,fl,'EdgeColor','none')
caxis([3,9])
xlabel('s (R_E)','fontsize',20)
ylabel('V_{H^+\perp} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[0,150],'YTick',[0:50:150],'YTickLabel',[])
colorbar('LineWidth',3,'Fontsize',18)
text(-11,165,'L=8.73','FontSize',16)
text(-13.2,-25,'North','FontSize',18)
text(10.8,-25,'South','FontSize',18)
box on
hold on
