%%%%%%%%figure 1 without wave heating%%%%%%%%%%
clear all
load OVPA1080.dat
load cvol_vdistr1080.dat

D=OVPA1080;
c_vol=cvol_vdistr1080(:,2);
MLAT(1:51)=cvol_vdistr1080(1:51,3);

nij=180;
nc=281;

sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

pa(1:nij)=D(101:100+nij);
D2=D(101+nij:end);
f=reshape(D2,nij,100);
[X,Y]=meshgrid(sg,pa);

for i=1:nij;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
        
    end
end

fl=log10(f);
subplot(2,2,1)
surface(X,Y,fl,'EdgeColor','none')
%caxis([0,8])
caxis([5,14])    % not divided by volume
xlabel('s (R_E)','fontsize',20)
ylabel('O^+ Pitch angle (degree)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[0,180],'YTick',[0:30:180])
colorbar('LineWidth',3,'Fontsize',16)
title('L=7.41 without wave','FontSize',18)
box on
hold on

%%%%%%%%figure 2 without wave heating%%%%%%%%%%
clear all
load OVPA1260.dat
load cvol_vdistr1260.dat


D=OVPA1260;
c_vol=cvol_vdistr1260(:,2);
MLAT(1:51)=cvol_vdistr1260(1:51,3);

nij=180;
nc=281;

sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

pa(1:nij)=D(101:100+nij);
D2=D(101+nij:end);
f=reshape(D2,nij,100);
[X,Y]=meshgrid(sg,pa);

for i=1:nij;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
       
    end
end

fl=log10(f);
subplot(2,2,2)
surface(X,Y,fl,'EdgeColor','none')
%caxis([0,8])
caxis([5,14])
xlabel('s (R_E)','fontsize',20)
ylabel('O^+ Pitch angle (degree)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[0,180],'YTick',[0:30:180])
colorbar('LineWidth',3,'Fontsize',16)
title('L=8.73 without wave','FontSize',18)
box on
hold on
%%%%%%%%figure 3 with wave heating Ph=1e-10 %%%%%%%%%%
clear all
load OVPA1080_wave3.dat
load cvol_vdistr1080.dat

D=OVPA1080_wave3;
c_vol=cvol_vdistr1080(:,2);
MLAT(1:51)=cvol_vdistr1080(1:51,3);

nij=180;
nc=281;

sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

pa(1:nij)=D(101:100+nij);
D2=D(101+nij:end);
f=reshape(D2,nij,100);
[X,Y]=meshgrid(sg,pa);

for i=1:nij;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
       
    end
end

fl=log10(f);
subplot(2,2,3)
surface(X,Y,fl,'EdgeColor','none')
%caxis([0,8])
caxis([5,14])
xlabel('s (R_E)','fontsize',20)
ylabel('O^+ Pitch angle (degree)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[0,180],'YTick',[0:30:180])
colorbar('LineWidth',3,'Fontsize',16)
title('L=7.41 with wave P_0=10^{-10}','FontSize',18)
box on
hold on

%%%%%%%%figure 4 with wave heating Ph=1e-10 %%%%%%%%%%
clear all
load OVPA1260_wave3.dat
load cvol_vdistr1260.dat

D=OVPA1260_wave3;
c_vol=cvol_vdistr1260(:,2);
MLAT(1:51)=cvol_vdistr1260(1:51,3);

nij=180;
nc=281;

sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

pa(1:nij)=D(101:100+nij);
D2=D(101+nij:end);
f=reshape(D2,nij,100);
[X,Y]=meshgrid(sg,pa);

for i=1:nij;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
      
    end
end

fl=log10(f);
subplot(2,2,4)
surface(X,Y,fl,'EdgeColor','none')
%caxis([0,8])
caxis([5,14])
xlabel('s (R_E)','fontsize',20)
ylabel('Pitch angle (degree)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[0,180],'YTick',[0:30:180])
colorbar('LineWidth',3,'Fontsize',16)
title('O^+ L=8.73 with wave P_0=10^{-10} ','FontSize',18)
box on
hold on