clear all
load Den_GSK30.dat
load Vel_GSK30.dat
load Tpr_GSK30.dat
load Tpp_GSK30.dat

load MLAT_GSK30.dat
load ALT_GSK30.dat
load sg_GSK30.dat
load bfd_GSK30.dat
load EFD_GSK30.dat

num=121;
nstep=145;
UT=[0:0.5:72];
UT=UT';

sg=sg_GSK30;       %  in Re
bfd=bfd_GSK30;     %  in Tesla
MLAT=MLAT_GSK30;
ALT=ALT_GSK30;

Den=Den_GSK30;
Vel=Vel_GSK30;
Tpr=Tpr_GSK30;
Tpp=Tpp_GSK30;
EFD=EFD_GSK30;

% density in cm^-3
NO=reshape(Den(:,1),num,nstep);
NO=NO';

NH=reshape(Den(:,2),num,nstep);
NH=NH';

NHe=reshape(Den(:,3),num,nstep);
NHe=NHe';

Ne=reshape(Den(:,4),num,nstep);
Ne=Ne';

% Parallel temperature 
TprO=reshape(Tpr(:,1),num,nstep);
TprO=TprO';

TprH=reshape(Tpr(:,2),num,nstep);
TprH=TprH';

TprHe=reshape(Tpr(:,3),num,nstep);
TprHe=TprHe';

Tpre=reshape(Tpr(:,4),num,nstep);
Tpre=Tpre';

% Perpendicular temperature 
TppO=reshape(Tpp(:,1),num,nstep);
TppO=TppO';

TppH=reshape(Tpp(:,2),num,nstep);
TppH=TppH';

TppHe=reshape(Tpp(:,3),num,nstep);
TppHe=TppHe';

Tppe=reshape(Tpp(:,4),num,nstep);
Tppe=Tppe';

% velocity in m/s
VO=reshape(Vel(:,1),num,nstep);
VO=VO';

VH=reshape(Vel(:,2),num,nstep);
VH=VH';

VHe=reshape(Vel(:,3),num,nstep);
VHe=VHe';

Ve=reshape(Vel(:,4),num,nstep);
Ve=Ve';

% electric field
efield=reshape(EFD(:,1),num,nstep);
efield=efield';
efield=efield.*1e+7;
% electric potential
poten=reshape(EFD(:,2),num,nstep);
poten=poten';
poten=poten.*1e7;

y=NO;
subplot(2,2,1)
plot(MLAT,y(5,:),'-r','LineWidth',2)   % red solid line
hold on
plot(MLAT,y(11,:),'-.b','LineWidth',2)  % blue dash-dot line
hold on
plot(MLAT,y(19,:),'--g','LineWidth',2)  % green dashed line
hold on
plot(MLAT,y(90,:),'.m','MarkerSize',10)  % magenta dotted line
hold on
plot(MLAT,y(145,:),'-k','LineWidth',2)
hold on
%legend('2 hrs','5 hrs','9 hrs','44.5 hrs','72 hrs')
set(gca,'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025]);
ylabel('N_{O^+} (cm^{-3})','fontsize',20)
xlabel('MLAT (degree)','fontsize',20)
set(gca,'XMinorTick','on','Xlim',[-60,60],'XTick',[-60:20:60]);
set(gca,'YMinorTick','on','Yscale','log','Ylim',[1e-2,1e6],'YTick',[1e-2,1e0,1e2,1e4,1e6]);
text(-56,0.1,'(a)','FontSize',18)

% H+
y=NH;
subplot(2,2,2)
plot(MLAT,y(5,:),'-r','LineWidth',2)   % red solid line
hold on
plot(MLAT,y(11,:),'-.b','LineWidth',2)  % blue dash-dot line
hold on
plot(MLAT,y(19,:),'--g','LineWidth',2)  % green dashed line
hold on
plot(MLAT,y(90,:),'.m','MarkerSize',10)  % magenta dotted line
hold on
plot(MLAT,y(145,:),'-k','LineWidth',2)
hold on
%legend('2 hrs','5 hrs','9 hrs','44.5 hrs','72 hrs')
set(gca,'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025]);
ylabel('N_{H^+} (cm^{-3})','fontsize',20)
xlabel('MLAT (degree)','fontsize',20)
set(gca,'XMinorTick','on','Xlim',[-60,60],'XTick',[-60:20:60]);
set(gca,'YMinorTick','on','Yscale','log','Ylim',[1e0,1e4],'YTick',[1e0,1e1,1e2,1e3,1e4]);
text(50,2.5,'(b)','FontSize',18)

% He
y=NHe;
subplot(2,2,3)
plot(MLAT,y(5,:),'-r','LineWidth',2)   % red solid line
hold on
plot(MLAT,y(11,:),'-.b','LineWidth',2)  % blue dash-dot line
hold on
plot(MLAT,y(19,:),'--g','LineWidth',2)  % green dashed line
hold on
plot(MLAT,y(90,:),'.m','MarkerSize',10)  % magenta dotted line
hold on
plot(MLAT,y(145,:),'-k','LineWidth',2)
hold on
%legend('2 hrs','5 hrs','9 hrs','44.5 hrs','72 hrs')
set(gca,'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025]);
ylabel('N_{He^+} (cm^{-3})','fontsize',20)
xlabel('MLAT (degree)','fontsize',20)
set(gca,'XMinorTick','on','Xlim',[-60,60],'XTick',[-60:20:60]);
set(gca,'YMinorTick','on','Yscale','log','Ylim',[1e-1,1e3],'YTick',[1e-1,1e0,1e1,1e2,1e3]);
text(-56,0.3,'(c)','FontSize',18)

%Efield
y=efield;
subplot(2,2,4)
plot(MLAT,y(5,:),'-r','LineWidth',2)   % red solid line
hold on
plot(MLAT,y(11,:),'-.b','LineWidth',2)  % blue dash-dot line
hold on
plot(MLAT,y(19,:),'--g','LineWidth',2)  % green dashed line
hold on
plot(MLAT,y(90,:),'.m','MarkerSize',10)  % magenta dotted line
hold on
plot(MLAT,y(145,:),'-k','LineWidth',2)
hold on
legend('2 hrs','5 hrs','9 hrs','44.5 hrs','72 hrs')
set(gca,'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025]);
ylabel('Efield (10^{-7} V/m)','fontsize',20)
xlabel('MLAT (degree)','fontsize',20)
set(gca,'XMinorTick','on','Xlim',[-60,60],'XTick',[-60:20:60]);
set(gca,'YMinorTick','on','Ylim',[-7,7]);
text(50,-5.5,'(d)','FontSize',18)