clear all

%%%%load data without wave from UT=7 TO UT=14 with dt=0.5hour %%%%%
load denO_GSK_Time.dat
load den_distr1260.dat
load Den_GSK_Time.dat
load GRID_GSK_Time.dat

%%%%load data with wave Ph=1e-10 from UT=12 to UT=14 with dt=0.25hour %%%%%
load denO_GSK_Time2hrs_wave3.dat
load den3_wave1260.dat

%%%%load data with wave Ph=1e-9 from UT=12 to UT=14 with dt=0.25hour %%%%%
load denO_GSK_Time2hrs_wave5.dat
load den5_wave1260.dat


nc=281;
nstep1=15;
nstep2=9;
num=280;

mH=1.67e-27;   % kg
mO=16.0*mH;
mHe=4.0*mH;
me=9.11e-31;

kb=1.38e-23;    % m^2 kg s^-2 K^-1

% denO 
DD=denO_GSK_Time;
ALT_O=reshape(DD(:,1),num,nstep1);
ALT_O=ALT_O';
MLAT_O=reshape(DD(:,2),num,nstep1);
MLAT_O=MLAT_O';
denO=reshape(DD(:,3),num,nstep1);
denO=denO';

GRID=GRID_GSK_Time;
% Geomagnetic latitude in degree
MLAT_H=reshape(GRID(:,3),nc,nstep1);
MLAT_H=MLAT_H';

Dn=Den_GSK_Time;
NO=reshape(Dn(:,1),nc,nstep1);
NO=NO';
NH=reshape(Dn(:,2),nc,nstep1);
NH=NH';
NHe=reshape(Dn(:,3),nc,nstep1);
NHe=NHe';

Dm=den_distr1260;
MLAT=Dm(:,3);
denH=Dm(:,5);
denHe=Dm(:,6);
dene=Dm(:,7);
xO=Dm(:,4);

DD3=denO_GSK_Time2hrs_wave3;
ALT_O3=reshape(DD3(:,1),num,nstep2);
ALT_O3=ALT_O3';
MLAT_O3=reshape(DD3(:,2),num,nstep2);
MLAT_O3=MLAT_O3';
denO3=reshape(DD3(:,3),num,nstep2);
denO3=denO3';

Dm3=den3_wave1260;
MLAT3=Dm3(:,3);
denH3=Dm3(:,5);
denHe3=Dm3(:,6);
dene3=Dm3(:,7);
xO3=Dm3(:,4);

DD5=denO_GSK_Time2hrs_wave5;
ALT_O5=reshape(DD5(:,1),num,nstep2);
ALT_O5=ALT_O5';
MLAT_O5=reshape(DD5(:,2),num,nstep2);
MLAT_O5=MLAT_O5';
denO5=reshape(DD5(:,3),num,nstep2);
denO5=denO5';

Dm5=den5_wave1260;
MLAT5=Dm5(:,3);
denH5=Dm5(:,5);
denHe5=Dm5(:,6);
dene5=Dm5(:,7);
xO5=Dm5(:,4);


ratio=NO./NH;
ratio3=xO3./denH3;
ratio5=xO5./denH5;

ra=NHe./NH;
ra3=denHe3./denH3;
ra5=denHe5./denH5;

% mass density 
mden3=Dm3(:,4).*mO+denH3.*mH+denHe3.*mHe;
mden5=Dm5(:,4).*mO+denH5.*mH+denHe5.*mHe;

mden=NO(15,:).*mO+NH(15,:).*mH+NHe(15,:).*mHe;

subplot(2,2,1)
plot(MLAT,xO,'-k','LineWidth',3)   % red solid line
hold on
plot(MLAT3,xO3,'-.b','LineWidth',3)  % blue dash-dot line
hold on
plot(MLAT5,xO5,'--r','LineWidth',3)  % green dashed line
hold on
set(gca,'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025]);
ylabel('n_{O^+} (cm^{-3})','fontsize',20)
xlabel('MLAT (degree)','fontsize',20)
set(gca,'XMinorTick','on','Xlim',[-70,70],'XTick',[-60:20:60]);
set(gca,'YMinorTick','on','Yscale','log','Ylim',[1e-3,1e7],'YTick',[1e-3,1e-1,1e1,1e3,1e5,1e7]);
text(-66,9e-3,'(a)','FontSize',18)

subplot(2,2,2)
plot(MLAT_H(15,25:nc-24),NH(15,25:nc-24),'-k','LineWidth',3)   % red solid line
hold on
plot(MLAT3,denH3,'-.b','LineWidth',3)  % blue dash-dot line
hold on
plot(MLAT5,denH5,'--r','LineWidth',3)  % green dashed line
hold on
set(gca,'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025]);
ylabel('n_{H^+} (cm^{-3})','fontsize',20)
xlabel('MLAT (degree)','fontsize',20)
set(gca,'XMinorTick','on','Xlim',[-70,70],'XTick',[-60:20:60]);
set(gca,'YMinorTick','on','Yscale','log','Ylim',[1e1,1e5],'YTick',[1e1,1e2,1e3,1e4,1e5]);
text(61,24,'(b)','FontSize',18)

subplot(2,2,3)
plot(MLAT_H(15,25:nc-24),NHe(15,25:nc-24),'-k','LineWidth',3)   % red solid line
hold on
plot(MLAT3,denHe3,'-.b','LineWidth',3)  % blue dash-dot line
hold on
plot(MLAT5,denHe5,'--r','LineWidth',3)  % green dashed line
hold on
set(gca,'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025]);
ylabel('n_{He^+} (cm^{-3})','fontsize',20)
xlabel('MLAT (degree)','fontsize',20)
set(gca,'XMinorTick','on','Xlim',[-70,70],'XTick',[-60:20:60]);
set(gca,'YMinorTick','on','Yscale','log','Ylim',[1e-1,1e3],'YTick',[1e-1,1e0,1e1,1e2,1e3]);
text(-66,0.24,'(c)','FontSize',18)

subplot(2,2,4)
plot(MLAT_H(15,25:nc-24),mden(25:nc-24),'-k','LineWidth',3)   % red solid line
hold on
plot(MLAT3,mden3,'-.b','LineWidth',3)  % blue dash-dot line
hold on
plot(MLAT5,mden5,'--r','LineWidth',3)  % green dashed line
hold on
set(gca,'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025]);
ylabel('\rho (kg cm^{-3})','fontsize',20)
xlabel('MLAT (degree)','fontsize',20)
set(gca,'XMinorTick','on','Xlim',[-70,70],'XTick',[-60:20:60]);
set(gca,'YMinorTick','on','Yscale','log','Ylim',[1e-26,1e-20],'YTick',[1e-26,1e-24,1e-22,1e-20]);
text(61,4e-26,'(d)','FontSize',18)
legend('P_0=0', 'P_0=10^{-10}','P_0=10^{-9}')