close all
clear all
load denO_GSK30.dat
load VelO_GSK30.dat
load TprO_GSK30.dat
load TppO_GSK30.dat

load MLAT_GSK30.dat
load sg_GSK30.dat
load bfd_GSK30.dat

nstep=73;
num=120;

sg=sg_GSK30;       %  in Re
bfd=bfd_GSK30;     %  in Tesla
MLAT=MLAT_GSK30;

Vel_GSK=VelO_GSK30;
vel=reshape(Vel_GSK,nstep,num);
den_GSK=denO_GSK30;
den=reshape(den_GSK,nstep,num);
Tpr=TprO_GSK30;
Tpp=TppO_GSK30;
T_GSK=(Tpr+2.0*Tpp)/3.0;
T=reshape(T_GSK,nstep,num);
P=den.*T;      %  Pressure

UT=[0:1:72];
UT=UT';
for i=1:nstep;
   for j=1:num;
      z(i,j)=den(i,j)*vel(i,j)/bfd(j);
      x(i,j)=den(i,j)/bfd(j);
   end
end

x3=log10(x);

y=log10(den);

P2=log10(P);
Pmax=max(P2);
Pmax2=max(Pmax);
Pnor=P2./Pmax2;      

%surface(sg,UT,Pnor)
%surface(sg,UT,y)
contour(sg,UT,y,15,'LineWidth',3)
%caxis([0.2,1])
xlabel('s (Re)','fontsize',20)
ylabel('UT (hour)','fontsize',20)
set(gca,'fontsize',18,'LineWidth',2)
set(gca,'TickDir','out')
%set(gca,'XMinorTick','on','YMinorTick','on','TickLength',[0.015,0.025])
set(gca,'XMinorTick','on','YMinorTick','on')
set(gca,'Xlim',[-3,3],'Ylim',[0,72],'XTick',[-3:1:3])
colorbar('LineWidth',3,'Fontsize',16)
box on
title('NO^+ (cm^{-3})','Fontsize',18)