!  Write 'FLIPPOS.dat','FLIPDRIFT.dat','GSKDRIFT.dat', and 'Dh.dat' in forward time step
!  in order to read them in DyFk model
!  Created on Jan. 24 2015 by Yan Wang


Subroutine RW_FILE()

      implicit none
     ! m=nstep2-4;  n=nstep2/5;  when time step dt=4.0
      integer, parameter:: n=1260, m=6296
      integer i
      REAL,dimension(n):: SEC,MLON
      REAL(8) L_eqe(n),dh(m-1),V(n)
      real(8),dimension(m):: we0,curt0,Veq,Vcr,R_eqe

      OPEN(UNIT=101,FILE='Dh_backward.dat',status='old')
      OPEN(UNIT=102,FILE='FLIPPOS_backward.dat',status='old')
      OPEN(UNIT=103,file='FLIPDRIFT_backward.dat',status='old')
      OPEN(UNIT=104,file='GSKDRIFT_backward.dat',status='old')

      OPEN(UNIT=201,FILE='Dh.dat',status='unknown')
      OPEN(UNIT=202,FILE='FLIPPOS.dat',status='unknown')
      OPEN(UNIT=203,file='FLIPDRIFT.dat',status='unknown')
      OPEN(UNIT=204,file='GSKDRIFT.dat',status='unknown')  
      OPEN(UNIT=205,FILE='FLIPPOS_INITIAL.dat',status='unknown')    
      OPEN(UNIT=206,FILE='L_time_forward.dat',status='unknown')
      OPEN(UNIT=207,FILE='FLIPDRIFT_INITIAL.dat',status='unknown') 
      OPEN(UNIT=208,FILE='GSKDRIFT_INITIAL.dat',status='unknown') 
      OPEN(UNIT=209,FILE='Dh_INITIAL.dat',status='unknown') 
      

      DO i=1,n
           READ(102,*) SEC(i),L_eqe(i),MLON(i)
           READ(103,*) V(i)
     ENDDO

     CLOSE(102)
     CLOSE(103)

!     INITIAL L SHELL, TIME AND MAGNETIC LONGITUDE FOR FLIPPOS.dat
     WRITE(205,*) SEC(n)
     WRITE(205,*) L_eqe(n)
     WRITE(205,*) MLON(n)
!  INITIAL data for FLIPDRIFT.dat to get the initial conditions
     WRITE(207,*) 0.0d0
     WRITE(207,*) 0.0d0
     CLOSE(207)  
!  INITIAL data for GSKDRIFT.dat to get the initial conditions
     WRITE(208,*) 0.0d0,0.0d0,0.0d0,0.0d0,L_eqe(n)
     WRITE(208,*) 0.0d0,0.0d0,0.0d0,0.0d0,L_eqe(n)  
     CLOSE(208) 
!  INITIAL data for Dh.dat to get the initial conditions
     WRITE(209,*) 0.0d0, 0.0d0
     WRITE(209,*) 0.0d0, 0.0d0
     CLOSE(209)
     

     DO i=1,n-1
           WRITE(202,*) SEC(n-i)
           WRITE(202,*) L_eqe(n-i)
           WRITE(202,*) MLON(n-i)
           WRITE(203,*) V(n-i)
    ENDDO
!   For FLIP code to read at the end of the code for the last time step
   WRITE(202,*) SEC(1)
   WRITE(202,*) L_eqe(1)
   WRITE(202,*) MLON(1)

   CLOSE(202)
   CLOSE(203)
   CLOSE(205)

   Do i=n,1,-1
         IF(i.eq.1 .or. mod(i,90).eq.0) THEN
             WRITE(206,*) (n-i)/90,L_eqe(i)
         ENDIF
   ENDDO
   CLOSE(206)

   DO i=1,m-1
         READ(101,*) Dh(i)
   ENDDO

   DO i=1,m-1
         WRITE(201,*) Dh(m-i), Dh(m-i)
   ENDDO

   CLOSE(101)
   CLOSE(201)

   DO i=1,m
         READ(104,*) we0(i),Veq(i),Vcr(i),curt0(i),R_eqe(i)
   ENDDO

   DO i=1,m
         WRITE(204,*) we0(m+1-i),Veq(m+1-i),Vcr(m+1-i),curt0(m+1-i),R_eqe(m+1-i)
   ENDDO

   CLOSE(104)
   CLOSE(204)

END subroutine
