clear all
load L_time_forward.dat

load GRID_GSK_Time.dat
% data format in  i,R_eqe,MAGLON,MLAT,XGSW,YGSW,ZGSW,XSM,YSM,ZSM
load Eqepos_MS.dat
%format in j,R_eqe,MAGLON,MLAT,XGSW,YGSW,ZGSW,XSM,YSM,ZSM
load Eqepos.dat

DMS=Eqepos_MS;
D=Eqepos;

DL=L_time_forward;
GRID=GRID_GSK_Time;

nc=101;

z=size(DL(:,1));
% start from UT=1.3 h  
L=DL(1:z,2);   % L shell with time interval 30 min

nstep=15;
UT0=7.0;   % start at UT=1.3 h

t=[0.0:0.5:7.0];
t=t';
UT=[7.0:0.5:14.0];
UT=UT';
% arc length in Re
sg=reshape(GRID(:,5),nc,nstep);
sg=sg';

xx=D(:,8);
yy=D(:,9);

ang=0.0:0.01:2*pi;

subplot(1,2,1)
x=cos(ang);
y=sin(ang);
plot(x,y,'-k','LineWidth',2)   % Earth
hold on

for m=1:4;
rr=2*m;
x=rr*cos(ang);
y=rr*sin(ang);
plot(x,y,'--b','LineWidth',2)
hold on
end

plot(xx,yy,'r','LineWidth',3)
ylabel('YSM (R_E)','fontsize',18)
xlabel('XSM (R_E)','fontsize',18)
hold on
plot(DMS(:,8),DMS(:,9),'k','LineWidth',3)
hold on
set(gca,'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025])
set(gca,'Xlim',[-10,10],'Ylim',[-10,10],'XTick',[-10:2:10],'YTick',[-10:2:10])
axis square
title('K_P=5.0','FontSize',18)
axis square
%new_fig_handle = shift_axis_to_origin( gca ) ;
hold on

subplot(1,2,2)

s_length=sg(:,nc).*2.0;  % the length of the flux tube above 800 km in both hemispheres

[AX,H1,H2] = plotyy(UT,L,UT,s_length,'plot');

set(get(AX(1),'Ylabel'),'String','L (R_E)') 
set(get(AX(2),'Ylabel'),'String','s (R_E)') 
set(AX(1),'Xlim',[7,14],'XTick',[7:1:14],'XTickLabel',[7:1:14]);
set(AX(2),'Xlim',[7,14],'XTick',[7:1:14],'XTickLabel',[]);
set(AX(1),'YTick',[5:1:9],'Ylim',[5,9])
set(AX(2),'Ylim',[12,24],'YTick',[12:3:24])
set(AX(1),'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025])
set(AX(2),'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025])
xlabel('t (hours)','fontsize',20)



