clear all
load Eqepos.dat

load GRID_GSK_Time.dat

load Eqepos_MS.dat

D=Eqepos;
DMS=Eqepos_MS;
GRID=GRID_GSK_Time;

z=size(D(:,1));
% start from UT=1.3 h
xx=D(1171:z,8);
yy=D(1171:z,9);
UT=D(1171:z,1)/900.0;   
t=D(1171:z,1)/900.0-1.3;   % time step dt=4s
L=D(1171:z,2);   % L shell with time interval 4s


nc=101;
nstep=27;
t2(1:26)=[0.0:0.5:12.5];
t2(27)=t(11656);
t2=t2';
% arc length in Re
sg=reshape(GRID(:,5),nc,nstep);
sg=sg';


ang=0.0:0.01:2*pi;

subplot(1,2,1)
x=cos(ang);
y=sin(ang);
plot(x,y,'-k','LineWidth',2)   % Earth
hold on

for m=1:5;
rr=2*m;
x=rr*cos(ang);
y=rr*sin(ang);
plot(x,y,'--b','LineWidth',2)
hold on
end

ang2=linspace(pi/2,pi*1.5,300);
x2=cos(ang2);
y2=sin(ang2);
fill(x2,y2,'k')   % nightside is dark

plot(xx,yy,'r','LineWidth',3)
hold on
plot(DMS(:,8),DMS(:,9),'m','LineWidth',3)
hold on
ylabel('YSM (R_E)','fontsize',18)
xlabel('XSM (R_E)','fontsize',18)

set(gca,'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025])
set(gca,'Xlim',[-10,10],'Ylim',[-10,10])
axis square
title('K_P=9.0, B_{zIMF}=23 nT, P_{sw}=13.5 nP_a','FontSize',20)
%new_fig_handle = shift_axis_to_origin( gca ) ;
hold on

subplot(1,2,2)

s_length=sg(:,nc).*2.0;  % the length of the flux tube above 800 km in both hemispheres

[AX,H1,H2] = plotyy(t,L,t2,s_length,'plot');

set(get(AX(1),'Ylabel'),'String','L (R_E)') 
set(get(AX(2),'Ylabel'),'String','s (R_E)') 
set(AX(1),'Xlim',[0,13],'XTick',[0:2:12],'XTickLabel',[0:2:12]);
set(AX(2),'Xlim',[0,13],'XTick',[0:2:12],'XTickLabel',[]);
set(AX(1),'YTick',[4:2:10])
set(AX(2),'Ylim',[8,23],'YTick',[8:5:23])
set(AX(1),'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025])
set(AX(2),'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025])
xlabel('t (hours)','fontsize',20)



