clear all
load Eqepos.dat

load Eqepos_MS.dat

D=Eqepos;
DMS=Eqepos_MS;

z=size(D(:,1));

xx=D(1:z,8);
yy=D(1:z,9);
UT=D(1:z,1)/900.0;   
t=D(1:z,1)/900.0;   % time step dt=4s
L=D(1:z,2);   % L shell with time interval 4s


ang=0.0:0.01:2*pi;

x=cos(ang);
y=sin(ang);
plot(x,y,'-k','LineWidth',2)   % Earth
hold on

for m=1:5;
rr=2*m;
x=rr*cos(ang);
y=rr*sin(ang);
plot(x,y,'--b','LineWidth',2)
hold on
end

ang2=linspace(pi/2,pi*1.5,300);
x2=cos(ang2);
y2=sin(ang2);
fill(x2,y2,'k')   % nightside is dark

plot(xx,yy,'r','LineWidth',3)
hold on
plot(DMS(:,8),DMS(:,9),'m','LineWidth',3)
hold on
ylabel('YSM (R_E)','fontsize',18)
xlabel('XSM (R_E)','fontsize',18)

set(gca,'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025])
set(gca,'Xlim',[-10,10],'Ylim',[-10,10],'XTick',[-10:2:10],'YTick',[-10:2:10])
axis square
title('K_P=5.0, B_{zIMF}=-4.6 nT, P_{sw}=3.2 nP_a','FontSize',20)
%new_fig_handle = shift_axis_to_origin( gca ) ;
hold on




